## drbd-utils 9.11.0

=== documentation/v9/Makefile ===
# Makefile in documentation directory
#
# This file is part of DRBD by Philipp Reisner and Lars Ellenberg.
#
# drbd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# drbd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with drbd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

include ../common/Makefile_v9_com

#
# WITH_DRBDMON is defined in Makefile_v9_com so need to be checked
# after Makefile_v9_com is included. The others are referenced in
# Makefile_v9_com_post.
#
TOPDIR = ../..

MANPAGES	= drbdsetup.8 drbd.conf.5 drbd.8 drbdadm.8 drbdmeta.8
ifeq ($(WITH_DRBDMON), yes)
MANPAGES	+= drbdmon.8
endif

FILES_IN_GIT_ADD = drbd.conf.xml.in drbd.xml \
	drbdadm.xml drbdmeta.xml drbdsetup-options.xml \
	drbdsetup.xml.in drbdmon.xml

FILES_POT = $(FILES_IN_GIT_ADD:=.pot)

FILES_REMOVE_ADD = drbdsetup_*.xml *.pot

include ../common/Makefile_v9_com_post

## drbd-utils 8.9.1+git0.f861210b

=== debian/changelog ===
drbd-utils (8.9.1+git0.f861210b-1~bpo70+2) wheezy-backports; urgency=medium

  * Remove the systemd unit file that was accidentally shipped in drbd8-utils,
    which is a transitional package (Closes: #763144).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 28 Sep 2014 10:48:43 +0300

drbd-utils (8.9.1+git0.f861210b-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Re-enable systemd support in wheezy.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 22 Sep 2014 15:21:54 +0300

drbd-utils (8.9.1+git0.f861210b-1) unstable; urgency=medium

  * New upstream version.
    + Include all changes up to upstream's 4th maintenance release of 8.9.1
      (8.9.1-4, git commit f861210b).
    + Drop patches merged upstream:
      o fix-block-drbd-with-xl-stack.patch
      o fix-drbd.8-manpage-warning.patch
      o fix-promotion-on-startup.patch
      o 0001-add_lib_drbd_to_path-handle-unset-PATH-correctly.patch
    + Use upstream's udev rules file.
    + Use upstream's drbd-overview manpage.
    + Refresh d/patches/udev-rules-name to reflect upstream changes.
  * d/control: remove B-D on git, as it not used anymore.
  * d/copyright: mark debian/* license as "permissive"; fixes lintian warning.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 29 Aug 2014 22:50:45 -0700

drbd-utils (8.9.0-1) unstable; urgency=medium

  * New upstream release (closes: #751475, #749441)
    + Unified codebase for DRBD 8.3, 8.4 and 9.0 userspace utilities.
    + Fixes a data-loss issue when offline resizing with drbdmeta.
  * Rename source and package to drbd-utils
    + Keep drbd8-utils as a transitional dummy package, depending on
      drbd-utils.
    + Drop the epoch from the source and drbd-utils version, retain it in
      drbd8-utils for upgrades to work.
  * Import the drbddisk and drbdupper heartbeat v1 resource scripts from the
    previous package version; upstream has dropped them for DRBD 9, but they
    are still useful with our kernel module version.
  * Provide our own udev rules, compatible with both 8.4 and 9.0. Upstream's
    depends on 9.0 and breaks symlink creation on 8.3/8.4.
  * debian/watch: use new upstream name (drbd-utils).
  * systemd: load module on boot.
  * Drop obsolete patches, not needed in 8.9.0:
    + disable-buildtags
    + 0001-drbdsetup-use-lib-drbd-drbdsetup-83.patch
    + 0002-drbdsetup-delay-exiting-due-to-unknown-commands.patch
  * New patches:
    + Add LSB description to the initscript (fixes lintian warning).
    + Allow wrapping the synopsis line of drbd(8).
    + Drop /usr/bin from the initscript's PATH (fixes bogus lintian warning
      on missing dependency against $remote_fs).
    + Fix the block-drbd script to work with Xen's xl stack (closes: #743977).
    + Search for drbdadm under /sbin in the udev rules.
    + Fix promotion to primary during startup, broken upstream after 8.4.4.
    + Properly handle legacy binary chainloading with empty PATH.
  * Update debian/copyright.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 30 Jun 2014 15:51:53 +0300

drbd8 (2:8.4.4-1) unstable; urgency=low

  * New upstream version (Closes: #714210, #721443, #711781)
  * Do not participate in the usage count by default (Closes: #711352)
  * Basic systemd support
  * Bump compat to 9 and standards to 3.9.5
  * Convert to dh sequencer
    + use dh_installinit for the initscript and use the default ordering
     (Closes: #476544)
  * Two new patches, fixing automatic chainloading of legacy drbdsetup when
    kernel DRBD is 8.3:
    + 0001-drbdsetup-use-lib-drbd-drbdsetup-83.patch
    + 0002-drbdsetup-delay-exiting-due-to-unknown-commands.patch
  * Convert copyright to Format 1.0
  * Remove unnecessary (build-)dependencies:
    bison, bzip2, debconf
  * Fix Vcs-Git URL

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 07 Nov 2013 14:02:13 +0200

drbd8 (2:8.3.13-2) unstable; urgency=low

  * Integrated NMU
  * Comment-out default handlers for pri-on-incon-degr/pri-lost-after-sb in '/etc/drbd.d/global_common.conf'
  ** Re-enable them if you want to improve your availability in a DRBD cluster setup. (Closes: #576511)
  * Added recommends to mailx (Closes: #691225)

 -- Philipp Hug <debian@hug.cx>  Mon, 29 Oct 2012 13:45:51 +0100

drbd8 (2:8.3.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix name of udev rules file. (closes: #679266)
  * Disable module version warning for sublevel missmatch.
    (closes: #659353)
  * Disable regeneration of buildtags file. (closes: #679460)

 -- Bastian Blank <waldi@debian.org>  Thu, 28 Jun 2012 21:07:04 +0000

drbd8 (2:8.3.13-1) unstable; urgency=low

  * Update to latest version for Linux 3.2.0
  * Enabled hardened build flags. Thanks Moritz. (Closes: #667558)

 -- Philipp Hug <debian@hug.cx>  Fri, 15 Jun 2012 20:14:36 +0200

drbd8 (2:8.3.11-3) unstable; urgency=low

  * Install udev rule into /lib/udev/rules.d instead of /etc
  * Don't invoke make with '-' except for drbd/Makefile
  * Don't complain in prerm about unknown argument upgrade
  * Architecture changed to linux-any
  * build-arch: depend on configure (Closes: #666345)

 -- Philipp Hug <debian@hug.cx>  Fri, 30 Mar 2012 18:52:55 +0200

drbd8 (2:8.3.11-2) unstable; urgency=low

  * Don't create /dev/drbdX in postinst (Closes: #656143)
  * Install drbd.conf.example (Closes: #613872)
  * Define init script as interactive (Closes: #613654)
  * Suggest to use dpkg-statoverride (Closes: #519187)

 -- Philipp Hug <debian@hug.cx>  Tue, 20 Mar 2012 14:52:42 +0100

drbd8 (2:8.3.11-1) unstable; urgency=low

  * New upstream release.
  * Clean some more files
  * Switch to dpkg-source 3.0 (quilt) format
  * Delete config.log, config.status
  * Build-Depend on xsltproc (for documentation) and git (for build-tags)

 -- Philipp Hug <debian@hug.cx>  Tue, 20 Mar 2012 12:12:57 +0100

drbd8 (2:8.3.10-1) unstable; urgency=low

  * New upstream release. (Closes: #635329)
  * Moved to git.debian.org for package maintenance.
  * Removed dpatch


=== debian/control ===
Source: drbd-utils
Section: admin
Priority: extra
Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
 Martin Loschwitz <madkiss@debian.org>,
 Philipp Hug <debian@hug.cx>,
 Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9), flex, xsltproc, git, dh-systemd (>= 1.5)
Standards-Version: 3.9.5
Homepage: http://www.drbd.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-ha/drbd-utils.git
Vcs-Git: git://anonscm.debian.org/debian-ha/drbd-utils/

Package: drbd-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: drbd8-utils (<< 2:8.9.0)
Replaces: drbd8-utils (<< 2:8.9.0)
Suggests: heartbeat
Recommends: heirloom-mailx|mailx
Description: RAID 1 over TCP/IP for Linux (user utilities)
 Drbd is a block device which is designed to build high availability
 clusters by providing a virtual shared device which keeps disks in
 nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding
 the use of uncommon hardware (shared SCSI buses or Fibre Channel).
 It is currently limited to fail-over HA clusters.
 .
 This package contains the programs that will control the drbd kernel
 module provided in the Linux kernel.

Package: drbd-utils-dbg
Section: debug
Architecture: linux-any
Depends: drbd-utils, ${misc:Depends}
Description: RAID 1 over TCP/IP for Linux (user utilities' debug symbols)
 Drbd is a block device which is designed to build high availability
 clusters by providing a virtual shared device which keeps disks in
 nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding
 the use of uncommon hardware (shared SCSI buses or Fibre Channel).
 It is currently limited to fail-over HA clusters.
 .
 This package contains debug symbols to help debugging the user-space DRBD
 utilities.

Package: drbd8-utils
Architecture: linux-any
Depends: drbd-utils (>= 8.9.0), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package for drbd-utils. It can be removed safely.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PKG_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')

%:
	dh $@ --with systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/drbd-utils.drbd.init

override_dh_auto_configure:
	./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc \
		--sbindir=/sbin --with-utils --with-udev --with-xen \
		--with-pacemaker --with-rgmanager --with-bashcompletion

override_dh_auto_install:
	dh_auto_install --destdir debian/drbd-utils
	# Shipped with dh_installman, upstream creates a dangling symlink
	rm debian/drbd-utils/usr/share/man/man8/drbd-overview.8

override_dh_install:
	dh_install --fail-missing

	# Move drbd-overview to /usr/sbin
	mv $(CURDIR)/debian/drbd-utils/sbin/drbd-overview $(CURDIR)/debian/drbd-utils/usr/sbin/

	# Place the initscript where dh_installinit can find it
	mv $(CURDIR)/debian/drbd-utils/etc/init.d/drbd $(CURDIR)/debian/drbd-utils.drbd.init

	# systemd/kmod integration
	install -D -m0644 $(CURDIR)/debian/drbd.modules-load.d $(CURDIR)/debian/drbd-utils/lib/modules-load.d/drbd.conf


override_dh_installinit:
	dh_installinit --name=drbd --no-start

override_dh_gencontrol:
	dh_gencontrol -Ndrbd8-utils
	# Add the previous epoch to drbd8-utils
	dh_gencontrol -pdrbd8-utils -- -v2:$(PKG_VERSION)

override_dh_strip:
	dh_strip --dbg-package=drbd-utils-dbg

.PHONY: override_dh_auto_configure override_dh_install \
	override_dh_auto_clean override_dh_installinit \
	override_dh_gencontrol override_dh_auto_install \
	override_dh_strip

## drbd-utils 8.9.2~rc1

=== debian/changelog ===
drbd-utils (8.9.2~rc1-2+deb8u1) jessie; urgency=medium

  * Fix drbdadm adjust with IPv6 peer addresses (Closes: #808315)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 04 Jan 2016 14:23:24 +0200

drbd-utils (8.9.2~rc1-2) unstable; urgency=medium

  * Build-Depend on docbook-xml to avoid fetching the docbook DTDs from the
    internet (closes: #768881).
  * Build-Depend on udev to avoid shipping a disabled rules file in case the
    build system does not find udevadm or udevinfo.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 23 Nov 2014 17:30:02 +0200

drbd-utils (8.9.2~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * d/rules: call ./configure with initscripttype=sysv. Fixes FTBS when
    /sbin/init is systemd (Closes: #765116).
  * Refresh patches to reflect upstream directory moves.
  * Bump standards to 3.9.6; no changes needed.
  * d/copyright: update sys_queue.h location.
  * Build-depend on docbook-xsl and (re-)build the manpages, as 8.4 manpages
    are not shipped pre-built.
  * Backport upstream commits 7185623a and 1e4a6a68, fixing 8.4 manpage builds.
  * Link drbddisk-8.4.8 manpage to drbddisk.8.
  * Upstream is shipping the heartbeat resource scripts again; dropped our own
    copies.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 13 Oct 2014 23:38:15 +0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
  Martin Loschwitz <madkiss@debian.org>,
  Philipp Hug <debian@hug.cx>,
  Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), flex, xsltproc, git, dh-systemd (>= 1.5)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), flex, xsltproc, dh-systemd (>= 1.5),
+ docbook-xsl, docbook-xml, udev
+Standards-Version: 3.9.6
 Homepage: http://www.drbd.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-ha/drbd-utils.git
 Vcs-Git: git://anonscm.debian.org/debian-ha/drbd-utils/

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,12 @@
 override_dh_auto_configure:
 	./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc \
 		--sbindir=/sbin --with-utils --with-udev --with-xen \
-		--with-pacemaker --with-rgmanager --with-bashcompletion
+		--with-pacemaker --with-rgmanager --with-bashcompletion \
+		--with-initscripttype=sysv
+
+override_dh_auto_build:
+	dh_auto_build
+	$(MAKE) doc
 
 override_dh_auto_install:
 	dh_auto_install --destdir debian/drbd-utils
@@ -49,4 +54,4 @@
 .PHONY: override_dh_auto_configure override_dh_install \
 	override_dh_auto_clean override_dh_installinit \
 	override_dh_gencontrol override_dh_auto_install \
-	override_dh_strip
+	override_dh_strip override_dh_auto_build

## drbd-utils 8.9.5

=== debian/changelog ===
drbd-utils (8.9.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Jan 2016 11:28:42 +0200

drbd-utils (8.9.5-1) unstable; urgency=medium

  * New upstream release (closes: #808315)
    + Drop d/patches/fix-8.4-manpages, it has been merged upstream.
    + Refresh patches
  * Ensure reproducible build.
  * Remove DRBD service file and use initscript (closes: #787394, #633547).
    Upstream is doing the same and the start logic is complicated enough to be
    a bad fit for a systemd unit.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 29 Dec 2015 12:26:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Martin Loschwitz <madkiss@debian.org>,
  Philipp Hug <debian@hug.cx>,
  Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), flex, xsltproc, dh-systemd (>= 1.5),
- docbook-xsl, docbook-xml, udev
+Build-Depends: debhelper (>= 9), flex, xsltproc,
+ docbook-xsl, docbook-xml, udev, bash-completion
 Standards-Version: 3.9.6
 Homepage: http://www.drbd.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-ha/drbd-utils.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PKG_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
 
 %:
-	dh $@ --with systemd
+	dh $@ --with bash-completion
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -16,7 +16,8 @@
 	./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc \
 		--sbindir=/sbin --with-utils --with-udev --with-xen \
 		--with-pacemaker --with-rgmanager --with-bashcompletion \
-		--with-initscripttype=sysv
+		--with-initscripttype=sysv \
+		--with-bashcompletion=no
 
 override_dh_auto_build:
 	dh_auto_build

## drbd-utils 8.9.6

=== debian/changelog ===
drbd-utils (8.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Always render build date in UTC; ensures reproducible build.
  * Drop the drbd-utils-dbg package in favor of ddebs.
  * d/control: use HTTPS in vcs-* fields.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Jan 2016 12:32:36 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  docbook-xsl, docbook-xml, udev, bash-completion
 Standards-Version: 3.9.6
 Homepage: http://www.drbd.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-ha/drbd-utils.git
-Vcs-Git: git://anonscm.debian.org/debian-ha/drbd-utils/
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-ha/drbd-utils.git
+Vcs-Git: https://anonscm.debian.org/git/debian-ha/drbd-utils/
 
 Package: drbd-utils
 Architecture: linux-any
@@ -30,20 +30,6 @@
  This package contains the programs that will control the drbd kernel
  module provided in the Linux kernel.
 
-Package: drbd-utils-dbg
-Section: debug
-Architecture: linux-any
-Depends: drbd-utils, ${misc:Depends}
-Description: RAID 1 over TCP/IP for Linux (user utilities' debug symbols)
- Drbd is a block device which is designed to build high availability
- clusters by providing a virtual shared device which keeps disks in
- nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding
- the use of uncommon hardware (shared SCSI buses or Fibre Channel).
- It is currently limited to fail-over HA clusters.
- .
- This package contains debug symbols to help debugging the user-space DRBD
- utilities.
-
 Package: drbd8-utils
 Architecture: linux-any
 Depends: drbd-utils (>= 8.9.0), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -49,10 +49,7 @@
 	# Add the previous epoch to drbd8-utils
 	dh_gencontrol -pdrbd8-utils -- -v2:$(PKG_VERSION)
 
-override_dh_strip:
-	dh_strip --dbg-package=drbd-utils-dbg
-
 .PHONY: override_dh_auto_configure override_dh_install \
 	override_dh_auto_clean override_dh_installinit \
 	override_dh_gencontrol override_dh_auto_install \
-	override_dh_strip override_dh_auto_build
+	override_dh_auto_build

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc\d+)/~$1/" \
  http://oss.linbit.com/drbd/ drbd-utils-(.*).tar.gz

## drbd-utils 8.9.7

=== debian/changelog ===
drbd-utils (8.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * Drop add-lsb-description.patch; fixed upstream
  * d/watch: use drbd.org instead of oss.linbit.com
  * Bump Standards to 3.9.8; no changes needed
  * Enable all hardening buildflags

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 18 Jul 2016 22:49:38 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), flex, xsltproc,
  docbook-xsl, docbook-xml, udev, bash-completion
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.drbd.org/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-ha/drbd-utils.git
 Vcs-Git: https://anonscm.debian.org/git/debian-ha/drbd-utils/

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # export DH_VERBOSE=1
 
 PKG_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with bash-completion

## drbd-utils 8.9.10

=== debian/changelog ===
drbd-utils (8.9.10-2ubuntu0.1) bionic; urgency=medium

  * d/p/lp1866458-add-NLA_F_NESTED-flag.patch (LP: #1866458):
    - Fix missing flag for HWE kernels >= v5.3.0

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 09 Mar 2020 23:59:37 +0000

drbd-utils (8.9.10-2) unstable; urgency=medium

  * Fix the service enable/disable logic (broken since 8.9.8-1, closes:
    #862248):
    + Add Default-Start runlevels to the initscript so that it can be
      enabled/disabled again (broken since 8.9.8-1, see #862248).
    + Clean up stale systemd state on upgrade from versions that shipped a
      native systemd unit.
  * Disable the service by default on new installations, following upstream's
    policy.
    + Document disabling the service in debian/NEWS.
    + Override lintian error about duplicate update-rc.d calls.
  * Do not restart the drbd service on upgrade; kernel reconfiguration is not
    needed when the tools change.
  * d/NEWS: use the new source name and drop the epoch, to avoid displaying
    existing notices on every upgrade.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 12 May 2017 15:05:39 +0300

drbd-utils (8.9.10-1) unstable; urgency=medium

  * New upstream release
    + New drbdmon utility: provides a compact view about resources and
      supports live monitoring.
  * Refresh patches
  * B-D on dh-autoreconf and use it to regenerate configure for proper C++11
    detection.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 23 Dec 2016 17:41:42 +0200

drbd-utils (8.9.9-1) unstable; urgency=medium

  * New upstream release.
  * Depend on lsb-base for /lib/lsb/init-functions.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 01 Nov 2016 01:28:28 +0200

drbd-utils (8.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 09 Sep 2016 10:40:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: drbd-utils
 Section: admin
 Priority: extra
-Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
  Martin Loschwitz <madkiss@debian.org>,
  Philipp Hug <debian@hug.cx>,
  Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), flex, xsltproc,
- docbook-xsl, docbook-xml, udev, bash-completion
+ docbook-xsl, docbook-xml, udev, bash-completion, dh-autoreconf
 Standards-Version: 3.9.8
 Homepage: http://www.drbd.org/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-ha/drbd-utils.git
@@ -15,7 +16,7 @@
 
 Package: drbd-utils
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: lsb-base (>= 3.0-6), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Breaks: drbd8-utils (<< 2:8.9.0)
 Replaces: drbd8-utils (<< 2:8.9.0)
 Suggests: heartbeat

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc\d+)/~$1/" \
  http://www.drbd.org/en/community/download .*/drbd-utils-([0-9.]+).tar.gz

## drbd-utils 9.5.0

=== debian/changelog ===
drbd-utils (9.5.0-1) unstable; urgency=medium

  * New upstream version 9.5.0
  * Bump Standards-Version to 4.1.5; no changes needed
  * d/rules: drop obsolete --with-utils from configure. Thanks to Roland
    Kammerer!

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 16 Jul 2018 20:52:47 +0300

drbd-utils (9.4.0-1) unstable; urgency=medium

  * New upstream version 9.4.0 (Closes: #900065)
  * Switch Vcs-* URLs to salsa.d.o
  * d/watch: update URL
  * Drop reproducible-builds patch
  * Refresh patches
  * d/copyright: bump years
  * Bump compat to 11
    + Use dh_installsystemd
    + Change dh_installinit's --no-restart-on-upgrade to --no-stop-on-upgrade
    + Drop dh-autoreconf
  * Bump Standards-Version to 4.1.4; no changes needed
  * Update Homepage and Source URLs
  * d/control: change Priority: extra to optional
  * Drop the drbd8-utils transitional package; drbd-utils was first shipped in
    Jessie, so it's time for drbd8-utils to go (Closes: #878392)
  * Properly ship the Japanese manpage for drbd-overview
  * Respect dpkg-provided CXXFLAGS during drbdmon build
  * Use dh_install{init,systemd} --no-enable

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 06 Jun 2018 15:04:11 +0300

=== debian/control ===
Source: drbd-utils
Section: admin
Priority: optional
Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
 Martin Loschwitz <madkiss@debian.org>,
 Philipp Hug <debian@hug.cx>,
 Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 11), flex, xsltproc,
 docbook-xsl, docbook-xml, udev, bash-completion
Standards-Version: 4.1.5
Homepage: https://www.drbd.org/
Vcs-Browser: https://salsa.debian.org/ha-team/drbd-utils
Vcs-Git: https://salsa.debian.org/ha-team/drbd-utils.git

Package: drbd-utils
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: drbd8-utils (<< 2:8.9.0)
Replaces: drbd8-utils (<< 2:8.9.0)
Suggests: heartbeat
Recommends: heirloom-mailx|mailx
Description: RAID 1 over TCP/IP for Linux (user utilities)
 Drbd is a block device which is designed to build high availability
 clusters by providing a virtual shared device which keeps disks in
 nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding
 the use of uncommon hardware (shared SCSI buses or Fibre Channel).
 It is currently limited to fail-over HA clusters.
 .
 This package contains the programs that will control the drbd kernel
 module provided in the Linux kernel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export WANT_DRBD_REPRODUCIBLE_BUILD=1

%:
	dh $@ --with bash-completion

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/drbd-utils.drbd.init

override_dh_auto_configure:
	./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc \
		--sbindir=/sbin --with-udev --with-xen \
		--with-pacemaker --with-rgmanager --with-bashcompletion \
		--with-initscripttype=sysv \
		--with-bashcompletion=no

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_auto_install:
	dh_auto_install --destdir debian/drbd-utils
	# Shipped with dh_installman, upstream creates a dangling symlink
	rm debian/drbd-utils/usr/share/man/man8/drbd-overview.8
	rm debian/drbd-utils/usr/share/man/ja/man8/drbd-overview.8

override_dh_install:
	dh_install --fail-missing

	# Move drbd-overview to /usr/sbin
	mv $(CURDIR)/debian/drbd-utils/sbin/drbd-overview $(CURDIR)/debian/drbd-utils/usr/sbin/

	# Place the initscript where dh_installinit can find it
	mv $(CURDIR)/debian/drbd-utils/etc/init.d/drbd $(CURDIR)/debian/drbd-utils.drbd.init

	# systemd/kmod integration
	install -D -m0644 $(CURDIR)/debian/drbd.modules-load.d $(CURDIR)/debian/drbd-utils/lib/modules-load.d/drbd.conf

override_dh_installinit:
	dh_installinit --name=drbd --no-enable --no-start --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --name=drbd --no-enable --no-start --no-stop-on-upgrade

override_dh_installman:
	dh_installman documentation/v9/drbd-overview.8
	dh_installman --language=ja documentation/ja/v9/drbd-overview.8

.PHONY: override_dh_auto_configure override_dh_install \
	override_dh_auto_clean override_dh_installinit \
	override_dh_auto_install override_dh_auto_build \
	override_dh_installsystemd override_dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc\d+)/~$1/" \
  https://www.linbit.com/www.linbit.com/downloads/drbd/utils/ drbd-utils-([0-9.]+).tar.gz

## drbd-utils 9.11.0

=== debian/changelog ===
drbd-utils (9.11.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:27:02 +0100

drbd-utils (9.11.0-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * Fix debian/watch to correctly identify upstream releases.
  * Build-Depend on po4a
  * Refresh patches
  * Remove drbd-overview; dropped upstream
  * Enable parallel builds
  * Ship the systemd service unit

  [ Apollon Oikonomopoulos ]
  * New upstream version 9.11.0 (Closes: #939788)
  * d/rules: upstream's `make all' now builds docs
  * d/rules: make sure we don't ship /run/drbd
  * Use dh_auto_configure instead of calling ./configure directly.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #921152)
  * Bump debhelper compat to 12.
    + Remove d/compat and B-D on debhelper-compat (= 12)
    + Use dh_missing instead of dh_install --fail-missing
  * Bump Standards-Version to 4.4.1; no changes needed
  * Convert d/patches to gbp-pq
  * Pass LDFLAGS to drbdmon's build

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 18 Nov 2019 13:24:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,24 @@
  Martin Loschwitz <madkiss@debian.org>,
  Philipp Hug <debian@hug.cx>,
  Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11), flex, xsltproc,
- docbook-xsl, docbook-xml, udev, bash-completion
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12),
+               flex,
+               xsltproc,
+               docbook-xsl,
+               docbook-xml,
+               udev,
+               bash-completion,
+               po4a
+Standards-Version: 4.4.1
 Homepage: https://www.drbd.org/
 Vcs-Browser: https://salsa.debian.org/ha-team/drbd-utils
 Vcs-Git: https://salsa.debian.org/ha-team/drbd-utils.git
 
 Package: drbd-utils
 Architecture: linux-any
-Depends: lsb-base (>= 3.0-6), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: lsb-base (>= 3.0-6),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Breaks: drbd8-utils (<< 2:8.9.0)
 Replaces: drbd8-utils (<< 2:8.9.0)
 Suggests: heartbeat

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export WANT_DRBD_REPRODUCIBLE_BUILD=1

%:
	dh $@ --with bash-completion

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/drbd-utils.drbd.init

override_dh_auto_configure:
	dh_auto_configure -- \
		--sbindir=/sbin \
		--with-udev \
		--with-xen \
		--with-pacemaker \
		--with-rgmanager \
		--with-bashcompletion \
		--with-initscripttype=both \
		--with-systemdunitdir=/lib/systemd/system \
		--with-bashcompletion=no

override_dh_auto_install:
	dh_auto_install --destdir debian/drbd-utils

override_dh_install:
	dh_install

	# Place the initscript where dh_installinit can find it
	mv $(CURDIR)/debian/drbd-utils/etc/init.d/drbd $(CURDIR)/debian/drbd-utils.drbd.init

	# Remove /run/drbd, as it shouldn't be shipped in the package
	rmdir $(CURDIR)/debian/drbd-utils/var/run/drbd
	rmdir $(CURDIR)/debian/drbd-utils/var/run

	# systemd/kmod integration
	install -D -m0644 $(CURDIR)/debian/drbd.modules-load.d $(CURDIR)/debian/drbd-utils/lib/modules-load.d/drbd.conf

override_dh_installinit:
	dh_installinit --name=drbd --no-enable --no-start --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --name=drbd --no-enable --no-start --no-stop-on-upgrade

override_dh_installman:
	dh_installman --language=all

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_configure override_dh_install \
	override_dh_auto_clean override_dh_installinit \
	override_dh_auto_install override_dh_installsystemd \
	override_dh_installman override_dh_missing

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc\d+)/~$1/" \
  https://www.linbit.com/downloads/drbd/utils/ drbd-utils-([0-9.]+).tar.gz

## drbd-utils 9.13.1

=== documentation/v9/Makefile ===
--- 
+++ 
@@ -16,16 +16,17 @@
 # along with drbd; see the file COPYING.  If not, write to
 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
-include ../common/Makefile_v9_com
-
 #
 # WITH_DRBDMON is defined in Makefile_v9_com so need to be checked
 # after Makefile_v9_com is included. The others are referenced in
 # Makefile_v9_com_post.
 #
 TOPDIR = ../..
+include $(TOPDIR)/documentation/common/Makefile_v9_com
+
 
 MANPAGES	= drbdsetup.8 drbd.conf.5 drbd.8 drbdadm.8 drbdmeta.8
+MANPAGES += ocf_linbit_drbd.7
 ifeq ($(WITH_DRBDMON), yes)
 MANPAGES	+= drbdmon.8
 endif
@@ -38,4 +39,4 @@
 
 FILES_REMOVE_ADD = drbdsetup_*.xml *.pot
 
-include ../common/Makefile_v9_com_post
+include $(TOPDIR)/documentation/common/Makefile_v9_com_post

=== debian/changelog ===
drbd-utils (9.13.1-1) unstable; urgency=medium

  * New upstream version 9.13.1
  * d/watch: use LINBIT's landing page
  * Refresh 0001-dpkg-statoverride-instead-of-chgrp-chmod.patch
  * Fix FTBFS with GCC 10 by cherry-picking upstream commit a513dea1 (Closes:
    #957151)
  * Bump dh compat to 13
    + Drop redundant dh_missing override
  * Bump Standards-Version to 4.5.0; no changes needed
  * Replace Recommends for heirloom-mailx by bsd-mailx
  * Add a basic autopkgtest running `drbdadm dump`

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 24 Aug 2020 16:53:01 +0300

=== debian/tests/control ===
Test-Command: /sbin/drbdadm dump 2>/dev/null

## drbd-utils 9.15.0

=== documentation/v9/Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 
 MANPAGES	= drbdsetup.8 drbd.conf.5 drbd.8 drbdadm.8 drbdmeta.8
 MANPAGES += ocf_linbit_drbd.7
+MANPAGES += ocf_linbit_drbd-attr.7
 ifeq ($(WITH_DRBDMON), yes)
 MANPAGES	+= drbdmon.8
 endif

=== documentation/ja/v84/Makefile ===
# Makefile in documentation directory
#
# This file is part of DRBD by Philipp Reisner and Lars Ellenberg.
#
# drbd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# drbd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with drbd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

include ../../common/Makefile_v84_com

#
# WITH_HEARTBEAT is defined in Makefile_v84_com so need to be checked
# after Makefile_v84_com is included. The others are referenced in
# Makefile_v84_com_post.
#
TOPDIR = ../../..
MANLANG = ja

MANPAGES	= drbdsetup.8 drbd.conf.5 drbd.8 drbdadm.8 drbdmeta.8
ifeq ($(WITH_HEARTBEAT),yes)
MANPAGES	+= drbddisk.8
endif

FILES_IN_GIT_ADD = drbd.conf.xml.po drbd.xml.po drbdadm.xml.po \
	drbddisk.xml.po drbdmeta.xml.po drbdsetup.xml.po

FILES_REMOVE_ADD = *.xml *.xml.in

include ../../common/Makefile_v84_com_post

=== debian/changelog ===
drbd-utils (9.15.0-1) unstable; urgency=medium

  * New upstream version 9.15.0

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 29 Sep 2020 12:05:36 +0300

drbd-utils (9.14.1-1) unstable; urgency=medium

  * New upstream version 9.14.1
  * Mark autopkgtest as superficial
  * Drop 0009-v84-Make-setup_options-definitions-as-extern.patch; included
    upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 22 Sep 2020 22:09:19 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Martin Loschwitz <madkiss@debian.org>,
  Philipp Hug <debian@hug.cx>,
  Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                flex,
                xsltproc,
                docbook-xsl,
@@ -14,7 +14,7 @@
                udev,
                bash-completion,
                po4a
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.drbd.org/
 Vcs-Browser: https://salsa.debian.org/ha-team/drbd-utils
 Vcs-Git: https://salsa.debian.org/ha-team/drbd-utils.git
@@ -27,7 +27,7 @@
 Breaks: drbd8-utils (<< 2:8.9.0)
 Replaces: drbd8-utils (<< 2:8.9.0)
 Suggests: heartbeat
-Recommends: heirloom-mailx|mailx
+Recommends: bsd-mailx | mailx
 Description: RAID 1 over TCP/IP for Linux (user utilities)
  Drbd is a block device which is designed to build high availability
  clusters by providing a virtual shared device which keeps disks in

=== debian/rules ===
--- 
+++ 
@@ -50,9 +50,6 @@
 override_dh_installman:
 	dh_installman --language=all
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: override_dh_auto_configure override_dh_install \
 	override_dh_auto_clean override_dh_installinit \
 	override_dh_auto_install override_dh_installsystemd \

## drbd-utils 9.21.4

=== debian/changelog ===
drbd-utils (9.21.4-1) unstable; urgency=medium

  * New upstream version 9.21.4
    + Refresh patches
    + Build-Depend on asciidoctor for documentation builds
  * d/copyright: bump debian/ years
  * Bump Standards-Version to 4.6.1; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Jul 2022 12:27:44 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                xsltproc,
                docbook-xsl,
                docbook-xml,
+               asciidoctor,
                udev,
                bash-completion,
                po4a
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.drbd.org/
 Vcs-Browser: https://salsa.debian.org/ha-team/drbd-utils
 Vcs-Git: https://salsa.debian.org/ha-team/drbd-utils.git

## drbd-utils 9.22.0

=== selinux/Makefile ===
# FIXME make "configure" able
SE_TYPE = targeted
SE_PRIORITY = 200

all: drbd.pp.bz2

install:
	install -D -m 0644 -t $(DESTDIR)/usr/share/selinux/packages/$(SE_TYPE)/ drbd.pp.bz2
	# we did not change the upstream interface, we do not provide a custom interface
	# no install -D -m 0644 -t $(DESTDIR)/usr/share/selinux/devel/include/contrib/ drbd.if

# live system
semodule-install: all
	semodule -X${SE_PRIORITY} -i drbd.pp.bz2

semodule-uninstall:
	semodule -lfull | grep drbd
	semodule -X${SE_PRIORITY} -r drbd

# should we feel the need to change the _interface_,
# we need a custom interface file, and a dependency on it here: ipp-drbd.if 
drbd.pp: drbd.te drbd.fc
	@if ! test -r /usr/share/selinux/devel/Makefile ; then \
	  printf "\n*** %s\n*** %s\n\n" \
	    "Cannot make selinux module, /usr/share/selinux/devel/Makefile not found." \
	    "Do you need to install selinux-policy-devel?" >&2; \
	  exit 1; \
	fi
	make -f /usr/share/selinux/devel/Makefile $@

# Apparently generates from the "installed" policy/interface, not from the
# policy defined here.  So would need to first build and install.  Does not
# contain much useful information anyways, so I'm going to not include it yet.
# drbd_selinux.8: semodule-install
# 	sepolicy manpage -p . -d drbd_t

drbd.pp.bz2: drbd.pp
	bzip2 -f -9 $^

clean:
	rm -f *.tc *.pp *.pp.bz2 *_selinux.8
	rm -rf tmp

.PHONY: all clean install semodule-install

=== documentation/v84/Makefile ===
# Makefile in documentation directory
#
# This file is part of DRBD by Philipp Reisner and Lars Ellenberg.
#
# drbd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# drbd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with drbd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

include ../common/Makefile_v84_com

#
# WITH_HEARTBEAT is defined in Makefile_v84_com so need to be checked
# after Makefile_v84_com is included. The others are referenced in
# Makefile_v84_com_post.
#
TOPDIR = ../..

MANPAGES	= drbdsetup.8 drbd.conf.5 drbd.8 drbdadm.8 drbdmeta.8
ifeq ($(WITH_HEARTBEAT),yes)
MANPAGES	+= drbddisk.8
endif

FILES_IN_GIT_ADD = drbd.conf.xml drbd.xml drbdadm.xml drbddisk.xml \
	drbdmeta.xml drbdsetup.xml

FILES_POT = $(FILES_IN_GIT_ADD:=.pot)

FILES_REMOVE_ADD = drbdsetup_*.xml *.pot

include ../common/Makefile_v84_com_post

=== documentation/v9/Makefile ===
--- 
+++ 
@@ -32,6 +32,19 @@
 MANPAGES	+= drbdmon.8
 endif
 
+ADOC_MANPAGES :=
+ADOC_MANPAGES += drbd-lvchange@.service.adoc
+ADOC_MANPAGES += drbd-promote@.service.adoc
+ADOC_MANPAGES += drbd-reconfigure-suspend-or-error@.service.adoc
+ADOC_MANPAGES += drbd-services@.target.adoc
+ADOC_MANPAGES += drbd-wait-promotable@.service.adoc
+ADOC_MANPAGES += drbd.service.adoc
+ADOC_MANPAGES += drbd@.service.adoc
+ADOC_MANPAGES += drbd@.target.adoc
+ADOC_MANPAGES += ocf.ra@.service.adoc
+
+MANPAGES += $(patsubst %.adoc,%.7,$(ADOC_MANPAGES))
+
 FILES_IN_GIT_ADD = drbd.conf.xml.in drbd.xml \
 	drbdadm.xml drbdmeta.xml drbdsetup-options.xml \
 	drbdsetup.xml.in drbdmon.xml

=== documentation/ja/v9/Makefile ===
# Makefile in documentation directory
#
# This file is part of DRBD by Philipp Reisner and Lars Ellenberg.
#
# drbd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# drbd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with drbd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

include ../../common/Makefile_v9_com

#
# WITH_DRBDMON is defined in Makefile_v9_com so need to be checked
# after Makefile_v9_com is included. The others are referenced in
# Makefile_v9_com_post.
#
TOPDIR = ../../..
MANLANG = ja

MANPAGES	= drbdsetup.8 drbd.conf.5 drbd.8 drbdadm.8 drbdmeta.8
ifeq ($(WITH_DRBDMON), yes)
MANPAGES	+= drbdmon.8
endif

FILES_IN_GIT_ADD  = drbd.conf.xml.in.po drbd.xml.po \
	drbdadm.xml.po drbdmeta.xml.po drbdsetup-options.xml.po \
	drbdsetup.xml.in.po drbdmon.xml.po

FILES_REMOVE_ADD = *.xml *.xml.in

include ../../common/Makefile_v9_com_post

=== debian/changelog ===
drbd-utils (9.22.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1096546)

 -- Adrian Bunk <bunk@debian.org>  Mon, 22 Sep 2025 15:22:53 +0300

drbd-utils (9.22.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends on pkgconf and systemd-dev to get the proper paths for
    udev rules and systemd service files. (Closes: #1060545, #921153)
  * Rely on systemd.pc and udev.pc to get the correct paths and do not
    override it in debian/rules.
  * Do not set sbindir in debian/rules and use the default instead, which is
    /usr/sbin.
  * Install drdb.conf modules-load config into /usr/lib/modules-load.d/ which
    is the canonical location.
  * Drop debian/patches/0005-initscript-remove-path.patch which is no longer
    applicable.
  * Drop debian/drbd-utils.dirs, it is not actually needed and creates
    unneeded directories like lib/udev/rules.d.
  * Add debian/patches/0009-no-hard-coded-paths.patch which ensures that all
    scripts and binaries are installed into /usr.
  * The changes above ensure that all files are installed into non-aliased
    locations. (Closes: #1073716)
  * Drop debian/drbd-utils.postinst which is no longer needed.
  * Drop dependency on obsolete package lsb-base.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 19:22:06 +0200

drbd-utils (9.22.0-1) unstable; urgency=medium

  * New upstream version 9.22.0
  * Remove Norbert, Philipp and Martin from Uploaders; Thanks for your work!

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 09 Jan 2023 16:51:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Debian DRBD Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
-Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
- Martin Loschwitz <madkiss@debian.org>,
- Philipp Hug <debian@hug.cx>,
- Apollon Oikonomopoulos <apoikos@debian.org>
+Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper-compat (= 13),
                flex,
                xsltproc,
                docbook-xsl,
                docbook-xml,
                asciidoctor,
+               pkgconf,
                udev,
+               systemd-dev,
                bash-completion,
                po4a
 Standards-Version: 4.6.1
@@ -22,8 +21,7 @@
 
 Package: drbd-utils
 Architecture: linux-any
-Depends: lsb-base (>= 3.0-6),
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: drbd8-utils (<< 2:8.9.0)
 Replaces: drbd8-utils (<< 2:8.9.0)

=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--sbindir=/sbin \
 		--with-udev \
 		--with-xen \
 		--with-pacemaker \
 		--with-rgmanager \
 		--with-bashcompletion \
 		--with-initscripttype=both \
-		--with-systemdunitdir=/lib/systemd/system \
 		--with-bashcompletion=no
 
 override_dh_auto_install:
@@ -39,7 +37,7 @@
 	rmdir $(CURDIR)/debian/drbd-utils/var/run
 
 	# systemd/kmod integration
-	install -D -m0644 $(CURDIR)/debian/drbd.modules-load.d $(CURDIR)/debian/drbd-utils/lib/modules-load.d/drbd.conf
+	install -D -m0644 $(CURDIR)/debian/drbd.modules-load.d $(CURDIR)/debian/drbd-utils/usr/lib/modules-load.d/drbd.conf
 
 override_dh_installinit:
 	dh_installinit --name=drbd --no-enable --no-start --no-stop-on-upgrade

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc\d+)/~$1/" \
  https://www.linbit.com/linbit-software-download-page-for-linstor-and-drbd-linux-driver/ .*/utils/drbd-utils-([0-9.]+).tar.gz
